docs.emix.ai
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
Market
File Upload API
Market
File Upload API
  1. Grok
  • 开始使用
  • Market
  • Image Models
    • Seedream
      • Seedream4.5 文生图
      • Seedream4.5 图片编辑
      • Seedream5.0 Lite 文生图
      • Seedream5.0 Lite 图片编辑
      • Seedream5.0 Pro 文生图
      • Seedream5.0 Pro 图片编辑
    • Google
      • Google Nano Banana
      • Nano Banana Pro 图生图
      • 使用 nano-banana-2 生成内容
      • Nano Banana 2 Lite
    • Grok Imagine
      • Grok Imagine 文生图
      • Grok Imagine 图生图
    • GPT Image
      • GPT Image1.5 文生图
      • GPT Image1.5 图生图
      • GPT Image 2 文生图
      • GPT Image 2 图生图
    • Wan
      • Wan 2.7 Image
      • Wan 2.7 Image Pro
  • Video Models
    • Grok Imagine
      • Grok Imagine 文生视频
      • Grok Imagine 图生视频
      • 放大 Grok Imagine 视频
      • 扩展 Grok Imagine 视频
      • Grok Imagine Video 1.5 Preview
    • Kling
      • Kling-2.6 文生视频
      • Kling-2.6 图生视频
      • Kling AI Avatar Standard
      • Kling AI Avatar Pro
      • Kling V2.1 Master 图生视频
      • Kling V2.1 Master 文生视频
      • Kling V2.1 Pro
      • Kling V2.1 Standard
      • Kling-2.6 motion-control
      • Kling-3.0 motion-control
      • Kling 3.0
    • Bytedance
      • Bytedance Seedance 2.0
      • Bytedance Seedance 2.0 Fast
      • Bytedance Seedance 2.0 Mini
    • Wan
      • Wan 2.6 - 图转视频
      • Wan 2.6 - 文转视频
      • Wan 2.6 - 视频转视频
      • Wan 2.7 - 文转视频
      • Wan 2.7 - 图转视频
      • Wan 2.7 - 视频编辑
      • Wan 2.7 - 参考生视频
    • Veo3.1 API
      • VEO 3.1 文生视频
      • VEO 3.1 图生视频
      • VEO 3.1 参考生视频
    • HappyHorse
      • HappyHorse 1.1 图生视频
      • HappyHorse 1.1 文生视频
      • HappyHorse 1.1 参考图生成视频
    • Gemini Omni
      • Gemini Omni 生视频
      • Gemini Omni Audio 生语音
      • Gemini Omni Character 生角色
  • Chat Models
    • Claude
      • Claude Code 对接 emix.ai 使用指南
      • Claude Sonnet 5
    • Gemini
      • Gemini 3.5 Flash (openai)
    • Grok
      • Grok 4.5
        POST
      • Grok 4.3
        POST
  • 获取任务详情
    GET
  1. Grok

Grok 4.3

POST
/grok/v1/responses

Grok 4.3#

GPT Grok 4.3 API 是一个多模态聊天补全风格端点,接受结构化输入数组,支持可调节的推理强度,并集成网页搜索或函数调用工具。
多模态输入
支持在单条消息中混合文本、图像和文件输入。
推理控制
推理强度可从最低调整到最高。
工具与网页搜索
集成网页搜索或自定义函数调用工具。

工具与工具选择#

tools 数组启用了网页搜索或函数调用功能。
网页搜索
函数调用

Request

Authorization
or
Body Params application/jsonRequired

Examples

Responses

🟢200
text/event-stream
请求成功。
Bodytext/event-stream

🟠400
🟠401
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.emix.ai/grok/v1/responses' \
--header 'Content-Type: application/json' \
--data '{
    "model": "grok-4-3",
    "stream": true,
    "input": [
        {
            "role": "user",
            "content": [
                {
                    "type": "input_text",
                    "text": "你好,用中文回答"
                }
            ]
        }
    ],
    "text": {
        "format": {
            "type": "json_schema",
            "name": "basic_response",
            "strict": true,
            "schema": {
                "type": "object",
                "properties": {
                    "answer": {
                        "type": "string",
                        "description": "回复内容"
                    },
                    "mood": {
                        "type": "string",
                        "description": "回复时的心情"
                    }
                },
                "required": [
                    "answer",
                    "mood"
                ],
                "additionalProperties": false
            }
        }
    }
}'
Response Response Example
200 - 成功示例
{
  "output": [
    {
      "type": "reasoning",
      "id": "rs_xxx",
      "summary": []
    },
    {
      "type": "message",
      "role": "assistant",
      "id": "msg_xxx",
      "content": [
        {
          "type": "output_text",
          "text": "Hello! How can I help you today?"
        }
      ],
      "status": "completed"
    }
  ],
  "usage": {
    "total_tokens": 4490,
    "output_tokens": 47,
    "input_tokens": 4443
  },
  "credits_consumed": 0.48,
  "status": "completed"
}
Previous
Grok 4.5
Next
获取任务详情
Built with